Bug 1152646 - User Portal is not fully rendered in Internet Explorer 8
Summary: User Portal is not fully rendered in Internet Explorer 8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Greg Sheremeta
QA Contact: Pavel Novotny
URL:
Whiteboard: ux
Depends On:
Blocks: rhev35betablocker rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-10-14 15:20 UTC by Pavel Novotny
Modified: 2015-05-18 14:53 UTC (History)
8 users (show)

Fixed In Version: rhevm-userportal-3.5.0-0.19.beta.el6ev.noarch
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:36:17 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screens: partly rendered User Portal (150.45 KB, application/x-gzip)
2014-10-14 15:20 UTC, Pavel Novotny
no flags Details
screen: fixed User Portal GUI in IE 8 (89.33 KB, image/png)
2014-11-10 14:12 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34524 master MERGED userportal, webadmin, branding: fix PatternFly impl for IE8 Never
oVirt gerrit 34567 ovirt-engine-3.5 MERGED userportal, webadmin, branding: fix PatternFly impl for IE8 Never
Red Hat Bugzilla 1222584 None None None Never

Internal Links: 1222584

Description Pavel Novotny 2014-10-14 15:20:38 UTC
Created attachment 946955 [details]
screens: partly rendered User Portal

Description of problem:
The User Portal GUI is not fully rendered in Internet Explorer 8 (on Windows XP/7). The top panel is blank, including Basic and Extended tabs.

Version-Release number of selected component (if applicable):
rhevm-3.5.0-0.14.beta.el6ev.noarch (vt5).
IE8 @ Windows XP & 7x64

How reproducible:
100%

Steps to Reproduce:
1. Log into the User Portal / Power User Portal and wait until GUI is loaded.
2.
3.

Actual results:
The upper area of User Portal is blank, that includes the user menu, Guide, About and tabs Basic and Extended. See attached screenshots.
The rest (rendered) part of the GUI then works ok.

Expected results:
The whole GUI is rendered.

Additional info:

Regression against 3.4.

No errors occured in engine.log as well as in HTTPD access & error logs.
It seems this is problem just of IE8 rendering the 3.5 GUI. IE9/10/11 renders User Portal correctly.

Comment 2 Einav Cohen 2014-11-06 17:33:30 UTC
not sure why this one hasn't moved to ON_QA automatically...

Comment 3 Pavel Novotny 2014-11-10 14:11:19 UTC
Verified in rhevm-3.5.0-0.19.beta.el6ev.noarch (vt9), IE 8 / Windows XP.

The User Portal / Power User Portal GUI is now fully rendered and functional. See attached screenshot for details.

Comment 4 Pavel Novotny 2014-11-10 14:12:46 UTC
Created attachment 955827 [details]
screen: fixed User Portal GUI in IE 8


Note You need to log in before you can comment on or make changes to this bug.